summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2014-09-11 22:10:35 +0000
committerIan Stakenvicius <axs@gentoo.org>2014-09-11 22:10:35 +0000
commit861c1a9ef7849ed7fc79a5e0ff102a5b92dbb0e3 (patch)
treed5733afd83b5dd7459cfa11197f7838786966564 /eclass
parentAdd build-time fix for uclibc for bug #522158, thanks to David Flogeras for t... (diff)
downloadgentoo-2-861c1a9ef7849ed7fc79a5e0ff102a5b92dbb0e3.tar.gz
gentoo-2-861c1a9ef7849ed7fc79a5e0ff102a5b92dbb0e3.tar.bz2
gentoo-2-861c1a9ef7849ed7fc79a5e0ff102a5b92dbb0e3.zip
dropped unused mozconfig-v4 and added new mozconfig-v4.31 eclasses
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/mozconfig-v4.31.eclass193
-rw-r--r--eclass/mozconfig-v4.eclass113
3 files changed, 198 insertions, 114 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 5e2a1ff13696..729517123d7a 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1367 2014/09/11 00:08:57 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1368 2014/09/11 22:10:35 axs Exp $
+
+ 11 Sep 2014; Ian Stakenvicius (_AxS_) <axs@gentoo.org>
+ +mozconfig-v4.31.eclass, -mozconfig-v4.eclass:
+ dropped unused mozconfig-v4 and added new mozconfig-v4.31 eclasses
11 Sep 2014; Davide Pesavento <pesa@gentoo.org> qt5-build.eclass:
Restrict tests on 5.3.x (except live).
diff --git a/eclass/mozconfig-v4.31.eclass b/eclass/mozconfig-v4.31.eclass
new file mode 100644
index 000000000000..93fcf9f669ee
--- /dev/null
+++ b/eclass/mozconfig-v4.31.eclass
@@ -0,0 +1,193 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v4.31.eclass,v 1.1 2014/09/11 22:10:35 axs Exp $
+#
+# mozconfig-v4.1.eclass: the new mozilla.eclass
+
+inherit multilib flag-o-matic toolchain-funcs mozcoreconf-2
+
+case ${EAPI} in
+ 0|1|2|3|4) die "EAPI=${EAPI} not supported"
+esac
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_WIFI
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild needs to provide
+# optional necko-wifi support via IUSE="wifi". Currently this would include
+# ebuilds for firefox, and potentially seamonkey.
+#
+# Leave the variable UNSET if necko-wifi support should not be available.
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be default-enabled.
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_JIT
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild needs to provide
+# optional necko-wifi support via IUSE="jit". Currently this would include
+# ebuilds for firefox, and potentially seamonkey.
+#
+# Leave the variable UNSET if optional jit support should not be available.
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be default-enabled.
+
+# use-flags common among all mozilla ebuilds
+IUSE="dbus debug gstreamer pulseaudio startup-notification system-cairo system-icu system-jpeg system-sqlite"
+
+# some notes on deps:
+# gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 2.14
+# media-libs/mesa needs to be 10.2 or above due to a bug with flash+vdpau
+
+RDEPEND=">=app-text/hunspell-1.2
+ dev-libs/atk
+ dev-libs/expat
+ >=dev-libs/libevent-1.4.7
+ >=x11-libs/cairo-1.10[X]
+ >=x11-libs/gtk+-2.14:2
+ x11-libs/gdk-pixbuf
+ >=x11-libs/pango-1.22.0
+ >=media-libs/libpng-1.6.10:0=[apng]
+ >=media-libs/libvpx-1.3.0
+ >=media-libs/mesa-10.2:*
+ media-libs/fontconfig
+ >=media-libs/freetype-2.4.10
+ kernel_linux? ( media-libs/alsa-lib )
+ pulseaudio? ( media-sound/pulseaudio )
+ virtual/freedesktop-icon-theme
+ dbus? ( >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72 )
+ startup-notification? ( >=x11-libs/startup-notification-0.8 )
+ >=dev-libs/glib-2.26:2
+ virtual/libffi
+ gstreamer? ( media-plugins/gst-plugins-meta:1.0[ffmpeg] )
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrender
+ x11-libs/libXt
+ system-cairo? ( >=x11-libs/cairo-1.12[X] >=x11-libs/pixman-0.19.2 )
+ system-icu? ( >=dev-libs/icu-51.1 )
+ system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
+ system-sqlite? ( >=dev-db/sqlite-3.8.4.2:3[secure-delete,debug=] )
+"
+
+if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]]; then
+ if [[ ${MOZCONFIG_OPTIONAL_WIFI} = "enabled" ]]; then
+ IUSE+=" +wifi"
+ else
+ IUSE+=" wifi"
+ fi
+ RDEPEND+="
+ wifi? ( >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72
+ net-wireless/wireless-tools )"
+fi
+if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
+ if [[ ${MOZCONFIG_OPTIONAL_JIT} = "enabled" ]]; then
+ IUSE+=" +jit"
+ else
+ IUSE+=" jit"
+ fi
+fi
+
+DEPEND="app-arch/zip
+ app-arch/unzip
+ virtual/pkgconfig
+ >=sys-devel/binutils-2.16.1
+ ${RDEPEND}"
+
+# @FUNCTION: mozconfig_config
+# @DESCRIPTION:
+# Set common configure options for mozilla packages.
+# Call this within src_configure() phase, after mozconfig_init
+#
+# Example:
+#
+# inherit mozconfig-v4
+#
+# src_configure() {
+# mozconfig_init
+# mozconfig_config
+# # ... misc ebuild-unique settings via calls to
+# # ... mozconfig_{annotate,use_with,use_enable}
+# mozconfig_final
+# }
+
+mozconfig_config() {
+
+ mozconfig_annotate '' --enable-default-toolkit=cairo-gtk2
+
+ if has bindist ${IUSE}; then
+ mozconfig_use_enable !bindist official-branding
+ if [[ ${PN} == firefox ]] && use bindist ; then
+ mozconfig_annotate '' --with-branding=browser/branding/aurora
+ fi
+ fi
+
+ mozconfig_use_enable debug
+ mozconfig_use_enable debug tests
+
+ if ! use debug ; then
+ mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
+ fi
+
+ mozconfig_use_enable startup-notification
+
+ if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]] ; then
+ # wifi pulls in dbus so manage both here
+ mozconfig_use_enable wifi necko-wifi
+ if use wifi && ! use dbus; then
+ echo "Enabling dbus support due to wifi request"
+ mozconfig_annotate 'dbus required by necko-wifi' --enable-dbus
+ else
+ mozconfig_use_enable dbus
+ fi
+ else
+ mozconfig_use_enable dbus
+ mozconfig_annotate 'disabled' --disable-necko-wifi
+ fi
+
+ mozconfig_annotate 'required' --enable-ogg
+ mozconfig_annotate 'required' --enable-wave
+
+ if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
+ mozconfig_use_enable jit ion
+ mozconfig_use_enable jit yarr-jit
+ fi
+
+ # These are enabled by default in all mozilla applications
+ mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --with-system-nss --with-nss-prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --x-includes="${EPREFIX}"/usr/include --x-libraries="${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate '' --with-system-libevent="${EPREFIX}"/usr
+ mozconfig_annotate '' --prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate '' --enable-system-hunspell
+ mozconfig_annotate '' --disable-gnomevfs
+ mozconfig_annotate '' --disable-gnomeui
+ mozconfig_annotate '' --enable-gio
+ mozconfig_annotate '' --disable-crashreporter
+ mozconfig_annotate '' --with-system-png
+ mozconfig_annotate '' --enable-system-ffi
+ mozconfig_annotate '' --disable-gold
+ mozconfig_annotate '' --disable-gconf
+
+ # We must force enable jemalloc 3 threw .mozconfig
+ echo "export MOZ_JEMALLOC=1" >> "${S}"/.mozconfig || die
+ mozconfig_annotate '' --enable-jemalloc
+ mozconfig_annotate '' --enable-replace-malloc
+
+ mozconfig_annotate '' --target="${CTARGET:-${CHOST}}"
+ mozconfig_annotate '' --build="${CTARGET:-${CHOST}}"
+
+ if use gstreamer; then
+ mozconfig_annotate '+gstreamer' --enable-gstreamer=1.0
+ else
+ mozconfig_annotate '' --disable-gstreamer
+ fi
+ mozconfig_use_enable pulseaudio
+
+ mozconfig_use_enable system-cairo
+ mozconfig_use_enable system-sqlite
+ mozconfig_use_with system-jpeg
+ mozconfig_use_with system-icu
+ mozconfig_use_enable system-icu intl-api
+}
diff --git a/eclass/mozconfig-v4.eclass b/eclass/mozconfig-v4.eclass
deleted file mode 100644
index 0a0e9410e828..000000000000
--- a/eclass/mozconfig-v4.eclass
+++ /dev/null
@@ -1,113 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v4.eclass,v 1.3 2014/08/01 16:32:16 axs Exp $
-#
-# mozconfig-v4.eclass: the new mozilla.eclass
-
-inherit multilib flag-o-matic mozcoreconf-2
-
-# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_WIFI
-# @DESCRIPTION:
-# Set this variable before the inherit line, when an ebuild needs to provide
-# optional necko-wifi support via IUSE="wifi". Currently this would include
-# ebuilds for firefox, and potentially seamonkey.
-#
-# Leave the variable UNSET if necko-wifi support should not be available.
-
-# @FUNCTION: mozconfig_config
-# @DESCRIPTION:
-# Set common configure options for mozilla packages.
-# Call this within src_configure() phase, after mozconfig_init
-#
-# Example:
-#
-# inherit mozconfig-v4
-#
-# src_configure() {
-# mozconfig_init
-# mozconfig_config
-# # ... misc ebuild-unique settings via calls to
-# # ... mozconfig_{annotate,use_with,use_enable}
-# mozconfig_final
-# }
-
-# use-flags common among all mozilla ebuilds
-IUSE="dbus debug startup-notification"
-
-RDEPEND=">=app-text/hunspell-1.2
- dev-libs/expat
- >=dev-libs/libevent-1.4.7
- >=x11-libs/cairo-1.12[X]
- >=x11-libs/gtk+-2.10:2
- >=x11-libs/pango-1.22.0
- kernel_linux? ( media-libs/alsa-lib )
- virtual/freedesktop-icon-theme
- dbus? ( >=dev-libs/dbus-glib-0.72 )
- startup-notification? ( >=x11-libs/startup-notification-0.8 )
- >=dev-libs/glib-2.26:2"
-
-if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]]; then
-IUSE+=" wifi"
-RDEPEND+="
- wifi? ( >=sys-apps/dbus-0.60
- >=dev-libs/dbus-glib-0.72
- net-wireless/wireless-tools )"
-fi
-
-DEPEND="app-arch/zip
- app-arch/unzip
- ${RDEPEND}"
-
-mozconfig_config() {
-
- mozconfig_annotate '' --enable-default-toolkit=cairo-gtk2
-
- if has bindist ${IUSE}; then
- mozconfig_use_enable !bindist official-branding
- if [[ ${PN} == firefox ]] && use bindist ; then
- mozconfig_annotate '' --with-branding=browser/branding/aurora
- fi
- fi
-
- mozconfig_use_enable debug
- mozconfig_use_enable debug tests
-
- if ! use debug ; then
- mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
- fi
-
- mozconfig_use_enable startup-notification
-
- if has wifi ${IUSE} ; then
- # wifi pulls in dbus so manage both here
- mozconfig_use_enable wifi necko-wifi
- if use wifi && ! use dbus; then
- echo "Enabling dbus support due to wifi request"
- mozconfig_annotate 'dbus required by necko-wifi' --enable-dbus
- else
- mozconfig_use_enable dbus
- fi
- else
- mozconfig_use_enable dbus
- mozconfig_annotate 'disabled' --disable-necko-wifi
- fi
-
- mozconfig_annotate 'required' --enable-ogg
- mozconfig_annotate 'required' --enable-wave
-
- if has jit ${IUSE}; then
- mozconfig_use_enable jit ion
- mozconfig_use_enable jit yarr-jit
- fi
-
- # These are enabled by default in all mozilla applications
- mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${EPREFIX}"/usr
- mozconfig_annotate '' --with-system-nss --with-nss-prefix="${EPREFIX}"/usr
- mozconfig_annotate '' --x-includes="${EPREFIX}"/usr/include --x-libraries="${EPREFIX}"/usr/$(get_libdir)
- mozconfig_annotate '' --with-system-libevent="${EPREFIX}"/usr
- mozconfig_annotate '' --enable-system-hunspell
- mozconfig_annotate '' --disable-gnomevfs
- mozconfig_annotate '' --disable-gnomeui
- mozconfig_annotate '' --enable-gio
- mozconfig_annotate '' --disable-crashreporter
-}